OGRE: Ogre::TextureDefinitionBase::TextureDefinition Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TextureDefinitionBase::TextureDefinition Class Reference

Local texture definition. More...

`#include <OgreTextureDefinition.h>`

Inheritance diagram for Ogre::TextureDefinitionBase::TextureDefinition:
[legend]

## Public Member Functions
| TextureDefinition (IdString _name)
void | _setName (IdString newName)
| Do not call directly. More...
IdString | getName (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
PixelFormatGpu | depthBufferFormat
uint16 | depthBufferId
| This is a default value for the texture, but can be overriden by an RTV definition. More...
uint32 | depthOrSlices
PixelFormatGpu | format
| Use PFG_UNKNOWN to use same format as main target. More...
String | fsaa
| "1" = Disable. More...
uint32 | height
float | heightFactor
uint8 | numMipmaps
bool | preferDepthTexture
uint32 | textureFlags
| See TextureFlags::TextureFlags. More...
TextureTypes::TextureTypes | textureType
uint32 | width
float | widthFactor

## Detailed Description

Local texture definition.

## Constructor & Destructor Documentation

## ◆ TextureDefinition()

Ogre::TextureDefinitionBase::TextureDefinition::TextureDefinition | ( | IdString | _name | ) |
| inline

## Member Function Documentation

## ◆ _setName()

void Ogre::TextureDefinitionBase::TextureDefinition::_setName | ( | IdString | newName | ) |
| inline

Do not call directly.

See also
  TextureDefinition::renameTexture instead.

## ◆ getName()

IdString Ogre::TextureDefinitionBase::TextureDefinition::getName | ( | void |  | ) | const
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ depthBufferFormat

PixelFormatGpu Ogre::TextureDefinitionBase::TextureDefinition::depthBufferFormat

## ◆ depthBufferId

uint16 Ogre::TextureDefinitionBase::TextureDefinition::depthBufferId

This is a default value for the texture, but can be overriden by an RTV definition.

See RenderTargetViewEntry::depthBufferId

## ◆ depthOrSlices

uint32 Ogre::TextureDefinitionBase::TextureDefinition::depthOrSlices

## ◆ format

PixelFormatGpu Ogre::TextureDefinitionBase::TextureDefinition::format

Use PFG_UNKNOWN to use same format as main target.

## ◆ fsaa

String Ogre::TextureDefinitionBase::TextureDefinition::fsaa

"1" = Disable.

"8", "8x", "8x MSAA Center", "8x CSAA" = Enable "" = Use same setting as main target

## ◆ height

uint32 Ogre::TextureDefinitionBase::TextureDefinition::height

## ◆ heightFactor

float Ogre::TextureDefinitionBase::TextureDefinition::heightFactor

## ◆ numMipmaps

uint8 Ogre::TextureDefinitionBase::TextureDefinition::numMipmaps

## ◆ preferDepthTexture

bool Ogre::TextureDefinitionBase::TextureDefinition::preferDepthTexture

## ◆ textureFlags

uint32 Ogre::TextureDefinitionBase::TextureDefinition::textureFlags

See TextureFlags::TextureFlags.

Valid flags are: NotTexture (only valid if Uav is present) RenderToTexture (must be present unless Uav is present) Uav (must be present unless RenderToTexture is present) AllowAutomipmaps AutomipmapsAuto MsaaExplicitResolve Note that RenderToTexture & Uav can coexist.

## ◆ textureType

TextureTypes::TextureTypes Ogre::TextureDefinitionBase::TextureDefinition::textureType

## ◆ width

uint32 Ogre::TextureDefinitionBase::TextureDefinition::width

## ◆ widthFactor

float Ogre::TextureDefinitionBase::TextureDefinition::widthFactor

The documentation for this class was generated from the following file:

- OgreTextureDefinition.h